//接口链接地址
var host = "http://122.143.10.96:8081";

//设置超时时间
var _timeout = 30000;

//登录接口方法地址
var userLogin_ajax = host + "/api/tradeInterface/v1/AppInterface/TradeApp/UserLogin";

//站内信列表方法地址
var msgList_ajax = host + "/api/tradeInterface/v1/AppInterface/TradeApp/GetMessage";

//站内信详情方法地址
var msgInfo_ajax = host + "/api/tradeInterface/v1/AppInterface/TradeApp/GetMessageDetail";

//采购数据列表查询方法地址
var purList_ajax = host + "/api/tradeInterface/v1/AppInterface/TradeApp/GetPurDetail";

//待入库列表查询方法地址
var disrecList_ajax = host + "/api/tradeInterface/v1/AppInterface/TradeApp/GetDisrecList";

//入库操作方法地址
var recDrug_ajax = host + "/api/tradeInterface/v1/AppInterface/TradeApp/RecDrug";

//获取第一票图片地址方法地址
var getInoviceImg_ajax = host + "/api/tradeInterface/v1/AppInterface/TradeApp/Getimginfo";

//获取药品两票查验接口地址
var getDrugIns_ajax = host + "/api/tradeInterface/v1/AppInterface/TradeApp/GetDefinedResultA";

//获取其他两票查验接口地址
var getOtherIns_ajax = host + "/api/tradeInterface/v1/AppInterface/TradeApp/GetDefinedResultB";

//判断机构类型方法
function checkOrgclass(orgclassid) {
	var orgclassname = "";
	switch(orgclassid) {
		case "7818D05E331B428F9DD7A6B884E7F5EA":
			orgclassname = "国内生产企业";
			break;
		case "35CB04093EB64551B5AA9BC9792D033C":
			orgclassname = "公共资源交易中心";
			break;
		case "7818D05E331B428F9DD7A6B884E7F5EB":
			orgclassname = "国内配送企业";
			break;
		case "6F90AB2ECC9C4AC483166B2C08E1BBE7":
			orgclassname = "境外生产企业";
			break;
		case "2FA27236559F441C9532AECDCCE6AD1F":
			orgclassname = "国内经营企业";
			break;
		case "EDBEEC0B65004BB0AC9E86C9186B064D":
			orgclassname = "监管机构";
			break;
		case "E68BD8E46D864DDEA9AD363D0F9211E3":
			orgclassname = "非基层医疗机构";
			break;
		case "F4BED6A71EDE40D6A8DD6F03CBEA66B9":
			orgclassname = "基层医疗机构";
			break;
		case "95981df3-e3a2-40ec-af7a-848f630acc76":
			orgclassname = "卫计委";
			break;
		case "261e8dc3-245d-4409-806c-ce0f3469c3d8":
			orgclassname = "管理机构";
			break;
	}

	return orgclassname;
}

//判断用户是否登录，未登录直接转到登录页面
function judgeLogin() {
	var userdata = plus.storage.getItem('memberdata');
	if(userdata != '' && userdata != null) {
		var $user = JSON.parse(userdata);
		if(($user.token == null) || $user.token == "") {
			return false;
		}
		return $user;
	}
	return false;
};

//判断公告类型的方法
function checkMsgType(type) {
	var typename = "";
	if(type == "1") {
		typename = "通知公告";
	} else if(type == "2") {
		typename = "工作动态";
	} else if(type == "3") {
		typename = "政策法规";
	} else if(type == "4") {
		typename = "帮助";
	}

	return typename;
}

//判断公告图标
function MsgTypeIcon(type) {
	var iconType = "";
	if(type == "1") {
		iconType = "tzgg";
	} else if(type == "2") {
		iconType = "gzdt";
	} else if(type == "3") {
		iconType = "zcfg";
	} else {
		iconType = "tzgg";
	}

	return iconType;
}

//时间格式化方法
function crtTimeFtt(val) {
	if(val != null && val != "") {
		return val.replace('T', ' ');
	} else {
		return "";
	}
}

//时间格式化方法
function crtTimeFtt2(val) {
	if(val != null && val != "") {
		return val.substr(0, 10);
	} else {
		return "";
	}
}